<?php

namespace App\Modules\FactReceipt\Application\Delete;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class DeleteFactReceiptQuery implements Query
{
    public function __construct(
        private int $id
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }
}
